package com.aksenov.monitor.data;

import jakarta.persistence.*;
import lombok.Data;

@Entity
@Data
@Table(name = "Monitor")
public class Monitor extends AbstractEntity {

    @Column(name = "model")
    private String model;
    
    @ManyToOne(cascade = CascadeType.DETACH)
    @JoinColumn(name = "manufacturer_id", nullable = false)
    private Manufacturer manufacturer;
    private Integer screenSize;
    @Column(name = "resolution")
    private String resolution;
    private Integer refreshrRate;
    private Integer price;

    public String getModel() {
        return model;
    }
    public void setModel(String model) {
        this.model = model;
    }

    public Manufacturer getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(Manufacturer manufacturer) {
        this.manufacturer = manufacturer;
    }
    public Integer getScreenSize() {
        return screenSize;
    }
    public void setScreenSize(Integer screenSize) {
        this.screenSize = screenSize;
    }
    public String getResolution() {
        return resolution;
    }
    public void setResolution(String resolution) {
        this.resolution = resolution;
    }
    public Integer getRefreshrRate() {
        return refreshrRate;
    }
    public void setRefreshrRate(Integer refreshrRate) {
        this.refreshrRate = refreshrRate;
    }
    public Integer getPrice() {
        return price;
    }
    public void setPrice(Integer price) {
        this.price = price;
    }

}
